%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:          hibernate-validation-api
Version:       1.0.0
Release:       %mkrel 1
Summary:       Bean Validation API
Group:         Development/Java
License:       ASL 2,0
Url:           http://www.hibernate.org/subprojects/validator.html
# svn export http://anonsvn.jboss.org/repos/hibernate/beanvalidation/api/tags/v1_0_0_GA/ hibernate-validation-api-1.0.0.GA
# tar czf hibernate-validation-api-1.0.0.GA-src-svn.tar.gz hibernate-validation-api
Source0:       hibernate-validation-api-1.0.0.GA-src-svn.tar.gz
Patch0:        hibernate-validation-api-1.0.0.GA-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Bean Validation (JSR-303) API.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p0

%build
mvn-rpmbuild -e \
  install javadoc:aggregate


%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/hibernate
install -pm 644 target/validation-api-%{namedversion}.jar \
	%{buildroot}%{_javadir}/hibernate/validation-api.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}.pom
%add_maven_depmap JPP.%{name}.pom hibernate/validation-api.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/hibernate/validation-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt

%files javadoc
%{_javadocdir}/hibernate-validation-api


%changelog
* Sat Jul 30 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 130782
- Clean Spec file

  + gil <gil>
    - imported package hibernate-validation-api

